<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

 
 
$sortId = 90;
$settingsArray = array();

$setting = new Setting();
$setting->name = 'anzahlKurse4Verlauf';
$setting->description = 'Anzahl anzuzeigender Kurse';
$setting->help = '';
$setting->subGroup = 'Verlauf:';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'showKurseByVerlaufAsc';
$setting->description = 'Zuletzt besuchten Kurs zuletzt anzeigen';
$setting->help = '';
$setting->subGroup = 'Verlauf:';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'cacheTeamsMitarbeiter';
$setting->description = 'Datei-Cache bei den Mitarbeiter-Teams aktivieren';
$setting->help = 'ACHTUNG: wenn der Cache aktiviert ist, dürfen keine Login- oder sonstwie besucherspezifischen Ausgaben erfolgen, da diese sonst jedem Besucher angezeigt werden! DATENSCHUTZ!';
$setting->subGroup = 'Caching:';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'cacheTeamsDozenten';
$setting->description = 'Datei-Cache bei den Dozenten-Teams aktivieren';
$setting->help = 'ACHTUNG: wenn der Cache aktiviert ist, dürfen keine Login- oder sonstwie besucherspezifischen Ausgaben erfolgen, da diese sonst jedem Besucher angezeigt werden! DATENSCHUTZ!';
$setting->subGroup = 'Caching:';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

if (GetOperations::isDefined('magic')) {
  $setting = new Setting();
  $setting->name = 'kursDetailsBeiAufrufAktualisieren';
  $setting->description = 'Aktualisieren von Kursdaten per BAS_DMZ beim Aufruf der Kursdetails';
  $setting->help = 'Beim Aufruf der Kursdetails wird eine bestimmte Menge an Datenfeldern per BAS_DMZ aktualisiert';
  $setting->subGroup = 'Kursdetails:';
  $setting->toolId = 4;
  $setting->config->loadConfiguration(SC_CHECKBOX);
  array_push($settingsArray, $setting);
}


$setting = new Setting();
$setting->name = 'auswahlGeschlechter';
$setting->description = 'Geschlechter für die Onlineausgabe wählen';
$setting->help = 'Wählen Sie hier bitte die Geschlechter, die im Anmeldeformular verfügbar  sein sollen.<br>
  Die Auswahlmöglichkeiten kommen aus KuferSQL.<br>
  Die Reihenfolge, in der die Geschlechter hier angezeigt werden, ist auch die, in der sie auf der Webseite erscheinen.<br>
  Die Reihenfolge ist nicht die selbe wie in KuferSQL; dort werden die Geschlechter alphabetisch sortiert.<br>
  Hier werden sie nach Erstellungszeitpunkt sortiert.';
$setting->subGroup = 'Geschlechter';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_MULTISELECT);
$setting->config->separator = ',';



$dbwgs = new DBWorkGeschlecht();
$geschlechter = $dbwgs->getGeschlechter();

$items = array();
foreach ($geschlechter as $geschlecht) {
  $items[$geschlecht->kurz] = \CleanOperations::cleanStringForHtml($geschlecht->kurz) .
    ' - ' . \CleanOperations::cleanStringForHtml($geschlecht->lang);
}
$setting->config->items = $items;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'auswahlGeschlechterRadioSelect';
$setting->description = 'Select oder Radio';
$setting->help = 'Soll das Geschlecht über ein Selectfeld oder eine Radiogruppe ausgewählt werden?';
$setting->subGroup = 'Geschlechter';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'radio' => 'Radio',
  'select' => 'Select'
);
array_push($settingsArray, $setting);